Bug 7099 - [UPDATE REQUEST] firewalld 0.3.10 -> 0.4.2
: [UPDATE REQUEST] firewalld 0.3.10 -> 0.4.2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-05 14:53 MSD by Andrey Bondrov
Modified: 2016-06-20 19:06 MSD (History)
3 users (show)

See Also:
RPM Package: firewalld
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
Исправленная регрессия перевода (61.69 KB, text/x-gettext-translation)
2016-06-09 14:34 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-06-05 14:53:40 MSD
New version of firewalld was released.
Comment 1 Andrey Bondrov 2016-06-05 14:54:24 MSD
Advisory: "Update firewalld to new version 0.4.2"

https://abf.rosalinux.ru/build_lists/2680479
https://abf.rosalinux.ru/build_lists/2680480
Comment 2 Andrey Bondrov 2016-06-05 15:23:36 MSD
New build lists (fixed typelib requires, enable ebtables support)

Advisory: "Update firewalld to new version 0.4.2"

https://abf.rosalinux.ru/build_lists/2680481
https://abf.rosalinux.ru/build_lists/2680482
Comment 3 Elena Smirnova 2016-06-05 20:35:18 MSD
В пакете firewall-config есть файлы "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.desktop.policy" и "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.server.policy", а в федоре я вижу только файл "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.policy"
Т.е. без server и desktop.

В данный момент в пакете firewalld нет файла "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.policy", который нужен для корректной работы firewall-cmd. Проблема решается установкой firewalld-config, но так быть не должно. этот файл должен быть в самом пакете fiorewalld. Я рекомендую посмотреть какие файлы в пакете firewalld в CentOS и привести пакет в Росе в соответсвткие с ним.
Comment 4 Andrey Bondrov 2016-06-06 06:47:47 MSD
(In reply to comment #3)
> В пакете firewall-config есть файлы
> "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.desktop.policy" и
> "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.server.policy", а
> в федоре я вижу только файл
> "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.policy"
> Т.е. без server и desktop.

У них файл org.fedoraproject.FirewallD1.policy создаётся пост-скриптами при установке в зависимости от конфигурации (сервер, рабочая станция и т.п.).

> В данный момент в пакете firewalld нет файла
> "/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.policy", который
> нужен для корректной работы firewall-cmd. 

Он есть, просто оказался симлинком на org.fedoraproject.FirewallD1.server.policy из  пакета firewalld-config. Поэтому без установки firewalld-config не работал.

Переделаю пакет, чтобы:
1. policy-файлы были в пакете firewalld, а не в firewall-config
2. org.fedoraproject.FirewallD1.policy был симлинком на org.fedoraproject.FirewallD1.desktop.policy
Comment 5 Andrey Bondrov 2016-06-06 06:49:27 MSD
Advisory: "Update firewalld to new version 0.4.2. Enable ebtables support. Use desktop polkit policy by default."

https://abf.rosalinux.ru/build_lists/2680512
https://abf.rosalinux.ru/build_lists/2680513
Comment 6 Vladimir Potapov 2016-06-09 14:34:43 MSD
Created attachment 4471 [details]
Исправленная регрессия перевода
Comment 7 Vladimir Potapov 2016-06-09 14:38:02 MSD
Регрессия: апплет в лотке не видит сервис пока не тыкнешь в включить-выключить и не введешь пароль.
Comment 8 Andrey Bondrov 2016-06-17 13:18:43 MSD
Updated Russian translation.

Advisory: "Update firewalld to new version 0.4.2. Enable ebtables support. Use desktop polkit policy by default."

https://abf.rosalinux.ru/build_lists/2682229
https://abf.rosalinux.ru/build_lists/2682230
Comment 9 Vladimir Potapov 2016-06-17 19:39:40 MSD
The update is sent to expanded testing
****************************************
Comment 10 Vladimir Potapov 2016-06-20 18:21:50 MSD
firewalld-0.4.2-3
https://abf.rosalinux.ru/build_lists/2682229
https://abf.rosalinux.ru/build_lists/2682230
****************************** Advisory ********************************
Update firewalld to new version 0.4.2. Enable ebtables support. Use desktop polkit policy by default
************************************************************************
QA Verified